using System.Web.Mvc;
using SparkCast.Demo.WebHost.Models;
using System.Collections.Generic;

namespace SparkCast.Demo.WebHost.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View(); 
        }

        public ActionResult VariableDemo()
        {
            return View();
        }

        public ActionResult Expressions()
        {
            ViewData["theName"] = "Donn Felker";
            return View();
        }

        public ActionResult Expressions2()
        {
            
            IList<Customer> customers = new List<Customer>(); 
            for (int i = 0; i < 10; i++)
            {
                customers.Add(new Customer
                                  {
                                      Level = CustomerLevel.Premium,
                                      Name = "Customer" + i
                                  }); 
            }

            ViewData["customers"] = customers; 
            ViewData["customer"] = new Customer { Name = "Donn Felker", Level = CustomerLevel.Premium };
            return View();
        }
    }
}